

#export CLASSPATH=/Users/amanda/Desktop/UACalc_CLI/CLI/Jars/uacalc.jar:$CLASSPATH 



import sys

from ManualReading import readManualAlgebra
#from ManualReading import product #both readManualAlgebra and product
from Logic import *

#from Operations import Operation
from org.uacalc.alg import BasicAlgebra
#from org.uacalc.alg import FreeAlgebra
#from org.uacalc.alg import *
from org.uacalc.io import AlgebraIO
#from org.uacalc.terms import *
#from java.util import Map
#from java.util import HashMap
#from java.lang import Integer

from LeibCongruence import reduceMatrix


	
print("WELCOME TO THE LEIB-CLASSIFIER APP!")
o = "o"
while o != "d" and o != "r":
		o = raw_input("Write d if you want to define your algebra manually, and r if you prefer to read it from a file in ALGEBRAS: ")
		if o == "d":
			algebra = readManualAlgebra()
			break
		if o == "r":
			path = raw_input("Write the name of the algebra file: ")
			algebra = AlgebraIO.readAlgebraFile("ALGEBRAS/"+path)
			break
		else:
			print ("Incorrect option")


universe = algebra.universe()
k = 0
while k == 0:
	f1 = raw_input("Enter the filter elements (ej. 1,3,0): ")
	filter = [int(s) for s in f1.split(',')]
	if [x for x in filter if x not in universe] != []:
		print("Invalid filter (it is not a subset of the universe)")
	else:
		k = 1

name = raw_input("Enter a name for your logic: ")
#print "Reducing the Logical Matrix if possible..."
#[ralgebra, rfilter] = reduceMatrix(algebra, filter)

myLogic = Logic(name, algebra, filter)

###GENERATING THE FREE ALGEBRA WITH 2 GENERATORS###
#falgebra = FreeAlgebra("falgebra", ralgebra, 2, True)

print "What do you want to know about the logic ", name, "?"
while(1):
	option = raw_input("Enter: p to check if it is protoalgebraic \n eq to check if it is equivalential \n te to check if it is truth equational \n... [others in construction]:")
	if option == "p":
		myLogic.isProtoalgebraic()
	if option == "eq":
		myLogic.isEquivalential()
	if option == "te":
		myLogic.isTruthEquational()
