
import sys
from org.uacalc.alg import BasicAlgebra
from org.uacalc.io import AlgebraIO
from org.uacalc.alg import *
from org.uacalc.alg.conlat import *

from java.util import Map
from java.util import HashMap




def LeibnizCongruence(algebra, filter):
	
	currentAlgebra = algebra
	listCongruences = []
	#print "len algebra.universe()", len(algebra.universe())
	#print "algebra.universe()", algebra.universe()
	#print "algebra.universelist()", algebra.getUniverseList()
	#print str([[x] for x in algebra.universe()])
	
	conLat = currentAlgebra.con()
	atoms = conLat.atoms()
	#print "atoms:", atoms
	#print "conLat.universe()", conLat.universe()
	#print "type", type(conLat.universe())
	#print "first", conLat.universe().iterator().next()
	currentCongruence = conLat.universe().iterator().next()
	
	#currentCongruence = conLat.universe()[0]
	#print "initialCongruence:", currentCongruence
	#currentCongruence = BasicPartition(str([[x] for x in algebra.universe()]), len(algebra.universe()))
	
	currentFilter = filter
	search = 1
	while search == 1:
		search = 0
		conLat = currentAlgebra.con()
		atoms = conLat.atoms()
		for a in atoms:
			bs = [list(x) for x in a.getBlocks()]
			#compatibilidad
			comp = 1
			for block in bs:
			    
			    #print "block", block
			    if [x for x in block if x in currentFilter] != [] and block != currentFilter:
					comp = 0
			if comp == 1:
				currentCongruence = a
				utilCongruence = [list(x) for x in currentCongruence.getBlocks()]
				listCongruences.append(utilCongruence)
				quotAlgebra = QuotientAlgebra(currentAlgebra, currentCongruence)
				
				#print "current Algebra:", currentAlgebra.universe()
				#print "quotient algebra:",  quotAlgebra.universe()
				#print "size of quotient algebra:",  len(quotAlgebra.universe())
				
				#print "currentFilter:", currentFilter
				
				
				#print "utilCongruence", utilCongruence
				auxFilter = [y[0] for y in utilCongruence if [x for x in currentFilter if x in y] != []]
				
				#print "auxFilter", auxFilter
				
				
				
				#print quotAlgebra.representativeIndex(2)

				quotFilter = [quotAlgebra.representativeIndex(x) for x in auxFilter]
				#print 	auxquotFilter			
				#quotFilter = [QuotientElement(quotAlgebra,i) for i in auxquotFilter]
				
				#quotFilter = [QuotientElement(quotAlgebra, currentAlgebra.elementIndex(x)) for x in currentFilter]
				
				
				#print "quotFilter:", quotFilter
				currentAlgebra = quotAlgebra
				#print "quotAlgebra", quotAlgebra.universe()
				currentFilter= quotFilter
				
				search = 1
				break #exit for a in atoms loop
				
	#print "listCongruences", listCongruences
	
	
	#print "congruence final", [list(x) for x in currentCongruence.getBlocks()]
	
	nest = []
	v0 = HashMap()
	for x in range(0, len(algebra.universe())):
		v0.put(x,[algebra.getElement(x)])
	nest.append(v0)
	
	for i in range(0, len(listCongruences)):
		v = HashMap()
		cong = listCongruences[i]
		
		for x in range(0, len(cong)):
			y = []
			for z in cong[x]:
				for m in nest[i].get(z):
					y.append(m)
			v.put(x, y)
		nest.append(v)
		
	leibcong = []
	for i in range(0, nest[len(nest)-1].size()):
		leibcong.append(nest[len(nest)-1].get(i))
	
	finalLeibCong = BasicPartition(str([[algebra.elementIndex(x) for x in y] for y in leibcong]), len(algebra.universe()))
	return finalLeibCong 
	
	
def reduceMatrix(algebra, filter):
	LC = LeibnizCongruence(algebra, filter)
	lcaux =  [list(x) for x in LC.getBlocks()]
	redAlgebra = QuotientAlgebra(algebra, LC)
	auxFilter = [y[0] for y in lcaux if [x for x in filter if x in y] != []]
	#redFilter = [redAlgebra.representativeIndex(x) for x in auxFilter]
	return [redAlgebra, auxFilter]
	
	
#algebra = AlgebraIO.readAlgebraFile("ALGEBRAS/powerejemplo.ua")
#f1 = raw_input("Enter the filter elements (ej. 1,3,0): ")
#filter = [int(s) for s in f1.split(',')]

#print "Leibniz Congruence:", LeibnizCongruence(algebra, filter)

#[ralg,rfil] = reduceMatrix(algebra, filter)
#print "ralg:", ralg.universe()
#print "rfil:", rfil





